# Retrieve a feature rule version

Retrieves a version for a single feature rule.

Endpoint: GET /v3/feature-rules/{featureRuleId}/versions/{versionId}
Version: 2026-09-18
Security: ZephrHmacHttp

## Security:

  - `ZephrHmacHttp` (unknown)
    http ZEPHR-HMAC-*

## Path parameters:

  - `featureRuleId` (string, required)
    Unique Feature Rule identifier

  - `versionId` (string, required)
    Unique Version identifier

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (string)
    Example: featureRuleId

  - `version` (number)
    Example: 1

  - `tags` (array)

  - `label` (string)
    Example: Test feature

  - `description` (string)
    Example: Test feature

  - `requirements_script` (string)
    Example: return []

  - `action_script` (string)
    Example: return "this is a test"

  - `script_type` (string)
    Example: javascript

  - `graph_state` (string)
    Example: {"property1": "value1"}

  - `editing_mode` (string)
    Example: manual

  - `last_updated` (string)
    Example: 2011-11-11T11:11:11.000

## Response 200 examples:

  - `response` (unknown)

